<div class="col-6 mx-auto mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="alert text-center" [ngClass]=" status=='success' ?'alert-success':'alert-danger'" *ngIf="status">
    {{message}} <a [routerLink]="['login']" *ngIf="status=='success'">Loguéate aquí</a>
  </div>
  <form #registerForm="ngForm" (ngSubmit)="onSubmit()" class="col-8 mx-auto">
    <div class="form-group">
      <label for="name">Nombre</label>
      <input type="text" id="name" name="name" #name="ngModel" [(ngModel)]="user.name" class="form-control" pattern="[a-zA-ZÀ-ÿ ]+" required>
      <div class="invalid-feedback d-block" *ngIf="name.invalid && name.touched">El nombre no es válido</div>
    </div>
    <div class="form-group">
        <label for="surname">Apellidos</label>
        <input type="text" id="surname" name="surname" #surname="ngModel" [(ngModel)]="user.surname" class="form-control" pattern="[a-zA-ZÀ-ÿ ]+">
        <div class="invalid-feedback d-block" *ngIf="surname.invalid && surname.touched">Los apellidos no son válidos</div>
    </div>
    <div class="form-group">
        <label for="nick">Nick</label>
        <input type="text" id="nick" name="nick" #nick="ngModel" [(ngModel)]="user.nick" class="form-control" required>
        <div class="invalid-feedback d-block" *ngIf="nick.invalid && nick.touched">El nick no es válido</div>
    </div>
    <div class="form-group">
        <label for="email">E-Mail</label>
        <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
        <div class="invalid-feedback d-block" *ngIf="email.invalid && email.touched">El e-mail no es válido</div>
    </div>
    <div class="form-group">
        <label for="password">Contraseña</label>
        <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password" class="form-control" pattern=".{5,}" required>
        <div class="invalid-feedback d-block" *ngIf="password.invalid && password.touched">La contraseña no es válida</div>
    </div>
    <div class="form-group">
      <input type="submit" class="btn btn-primary" value="{{pageTitle}}" [disabled]="registerForm.form.invalid">
    </div>

  </form>
</div>